function [ X_aug, y_aug] = aug_data( X, y, num_copies, type, param )
%%
[n,d] = size(X);
y_aug = repmat(y,[num_copies,1]);
X_aug = zeros(n*num_copies,d);

if strcmpi(type,'dropout')
% set x_ij to x_ij/(1-delta) wp 1-delta
%             0              wp delta
    for i = 1:num_copies
        X_aug(n*(i-1)+1:n*i,:) =  X.*(rand(n,d) <= 1-param)./(1-param);
    end
elseif strcmpi(type,'gaussian')
    for i = 1:num_copies
        X_aug(n*(i-1)+1:n*i,:) =  X + sqrt(param)*randn(size(X));
    end
else
    error(['Noise type ', type, ' not supported...']);
end
