function [ X, y, beta] = gen_data( d, d_sig, n, beta )
%%

d_noise = d - d_sig;

X = zeros(n,d);

for i=1:n
  %  g = randi(25,1);
  g = mod(i,25);
  if g == 0, g = 25; end
  sgn = 1;
  if rand < 0.5, sgn = -1; end
  if g <=5
    vals = sgn*exprnd(1,10,1);
    vals = vals/sqrt(mean(vals.^2));
    X(i,10*(g-1)+1:10*(g-1)+10) = vals;
  end
end
X(:,d_sig+1:end) = randn(n,d_noise);


if nargin<4
  % simulations in paper A.1 say to pick beta(1:d_sig)
  %             s.t. avg |x_i*beta| = 2
  is_active = any(X(:,1:d_sig)~=0, 2);

  b = 2*sum(is_active)/sum(sum(abs(X(is_active,1:d_sig))));
%   b = 0.057;
  beta = [b*ones(d_sig,1); zeros(d_noise,1)];
end
y = rand(n,1) <= 1./(1+exp(-X*beta));

end

