function [ penalty, gradient ] = logistic_additive_approx_loss( beta, X, y, sigma )
% function [ penalty ] = logistic_additive_approx_loss( beta, X, y, sigma )

[n,d] = size(X);

p = 1 ./ (1 + exp(-X*beta));

[f,g] = evalGlmLikelihood(y,X,beta,zeros(n,1),'binomlogit',1,1);

penalty = f + 0.5 .* sigma^2 .* beta'*beta + sum(p .* (1 - p));

% grad_Rq = 0.5*sigma^2*beta'*beta*X'*exp(-X*beta)./(1+exp(-X*beta)).^2 ...
%       + sigma^2*beta*sum(exp(-X*beta)./(1+exp(-X*beta)).^2);

grad_Rq = sigma^2*beta*sum(exp(-X*beta)./(1+exp(-X*beta)).^2) + (0.5*sigma^2*beta'*beta) ...
            .* sum(exp(X*beta).*(exp(X*beta)-1)./(exp(X*beta)+1).^3) .* beta;

gradient = g + grad_Rq;

end

