function [ beta_hat,p ] = logistic_dropout_approx_fisher( X, y, delta, epsilon,max_it ) 
%%

[n,d] = size(X);

% objective = @(beta) logistic_dropout_approx_loss( beta, X, y, delta );

% options = optimoptions('fminunc','MaxFunEvals',inf); % indicate gradient is provided 
% beta_hat = fminunc(objective,randn(d,1),options);


% try alternating minimzation over f = -l(beta) + Rq(beta,p)
beta = zeros(d,1);
p = 1./(1+exp(-X*beta));
lambda = delta/(1-delta);
converged = 0;
it = 1;
% figure; hold all;
while ~converged
  % optimize beta with weighted elastic-net (alpha = 0 --> l2 reg.),
  % with fixed p (from previous beta)
  qf = lambda*X'*diag(p.*(1-p))*X + eps*(eye(d));  
  results = glmfitqp(double(y),X,qf);
  beta_hat = results.w;
  
  % optimize p, with fixed beta = beta_hat
  p_hat = 1./(1+exp(-X*beta_hat));
  
  if norm(p-p_hat) < epsilon || it == max_it
    converged = 1;
  end
  beta = beta_hat;
  p = p_hat;
  it = it+1;
  
end

end