function [ penalty ] = logistic_dropout_approx_loss( beta, X, y, delta )
% function [ penalty, gradient ] = logisitc_dropout_approx_loss( beta, X, y, delta )
%%
[n,d] = size(X);

p = 1 ./ (1 + exp(-X*beta))';

[f,g] = evalGlmLikelihood(y,X,beta,zeros(n,1),'binomlogit',1,1);

penalty = f + 0.5 .* delta/(1-delta) .* p .* (1 - p) * X.^2 * beta.^2;

% gradient = g + << insert gradient of Rq(beta) here >>

end

