function [ penalty, gradient ] = logistic_dropout_approx_loss_fixed_beta( p, beta, X, y, delta)
% function [ penalty, gradient ] = logistic_additive_approx_loss( p, beta, X, y, delta )

penalty = -sum(y.*log(p) + (1-y).*log(1-p)) + ...
          0.5*delta/(1-delta)*sum(p.*(1-p).*(X.^2*beta.^2));

gradient = -y./p + (1-y)./(1-p) + ...
    0.5*delta/(1-delta)*(1-2*p).*(X.^2*beta.^2);

end
