acc_mle_all_mean = nanmean(acc_mle_all);
acc_mle_all_std = std(acc_mle_all);

acc_mle_active_mean = nanmean(acc_mle);
acc_mle_active_std = std(acc_mle);

acc_l2_all_mean = nanmean(acc_l2_all);
acc_l2_all_std = std(acc_l2_all);

acc_l2_active_mean = nanmean(acc_l2_active);
acc_l2_active_std = std(acc_l2_active);

acc_dropout_approx_all_mean = nanmean(acc_dropout_approx_all);
acc_dropout_approx_all_std = std(acc_dropout_approx_all);

acc_dropout_approx_active_mean = nanmean(acc_dropout_approx_active);
acc_dropout_approx_active_std = std(acc_dropout_approx_active);

% acc_dropout_approx_fisher_all_mean = nanmean(acc_dropout_approx_fisher_all);
% acc_dropout_approx_fisher_all_std = std(acc_dropout_approx_fisher_all);
% 
% acc_dropout_approx_fisher_active_mean = nanmean(acc_dropout_approx_fisher_active);
% acc_dropout_approx_fisher_active_std = std(acc_dropout_approx_fisher_active);

acc_dropout_all_mean = squeeze(nanmean(acc_dropout_all));
acc_dropout_all_mean = acc_dropout_all_mean(1:end-1,:);
acc_dropout_all_std = squeeze(std(acc_dropout_all));

acc_dropout_active_mean = squeeze(nanmean(acc_dropout_active));
acc_dropout_active_mean = acc_dropout_active_mean(1:end-1,:);
acc_dropout_active_std = squeeze(std(acc_dropout_active));

%%

hold all;
errorbar(deltas,acc_mle_all_mean*ones(size(deltas)),acc_mle_all_std*ones(size(deltas)))
errorbar(deltas,acc_mle_active_mean*ones(size(deltas)),acc_mle_active_std*ones(size(deltas)))

errorbar(deltas,acc_dropout_approx_all_mean,acc_dropout_approx_all_std)
errorbar(deltas,acc_dropout_approx_active_mean,acc_dropout_approx_active_std)

%%
figure;
hold all;
ylim([0 1])
plot(deltas,acc_mle_all_mean*ones(size(deltas)),'linewidth',2)
plot(deltas,acc_l2_all_mean*ones(size(deltas)),'linewidth',2)
plot(deltas,acc_dropout_approx_all_mean,'linewidth',2)
% plot(deltas,acc_dropout_approx_fisher_all_mean,'linewidth',2)
plot(deltas(1:size(acc_dropout_all_mean,1)),acc_dropout_all_mean(:,end),'linewidth',2)
hold off;
title('All Data')
ylabel('Test Accuracy')
xlabel('Dropout Rate (Delta)')
% legend({'MLE','L2 Regularization','Dropout Approximation','Full
% Fisher Estimate','Dropout (100 copies)'},'location','southeast')
legend({'MLE','L2 Regularization','Dropout Approximation','Dropout (100 copies)'},'location','southeast')
set(gcf,'color','w')

figure;
hold all;
ylim([0 1])
plot(deltas,acc_mle_active_mean*ones(size(deltas)),'linewidth',2)
plot(deltas,acc_l2_active_mean*ones(size(deltas)),'linewidth',2)
plot(deltas,acc_dropout_approx_active_mean,'linewidth',2)
% plot(deltas,acc_dropout_approx_fisher_active_mean,'linewidth',2)
plot(deltas(1:size(acc_dropout_all_mean,1)),acc_dropout_active_mean(:,end),'linewidth',2)
hold off;
title('Active Data')
ylabel('Test Accuracy')
xlabel('Dropout Rate (Delta)')
% legend({'MLE','L2 Regularization','Dropout Approximation','Full
% Fisher Estimate','Dropout (100 copies)'},'location','southeast')
legend({'MLE','L2 Regularization','Dropout Approximation','Dropout (100 copies)'},'location','southeast')
set(gcf,'color','w')

figure;
imagesc(acc_dropout_all_mean)
colorbar
title('Test Accuracy of Dropout on All Data')
ylabel('Dropout Rate (Delta)')
xlabel('Number of Noisy Copies')
set(gca,'XTickLabel',num_copiess)
set(gca,'YTickLabel',deltas)
set(gcf,'color','w')

figure;
imagesc(acc_dropout_active_mean)
colorbar
title('Test Accuracy of Dropout on Active Data')
ylabel('Dropout Rate (Delta)')
xlabel('Number of Noisy Copies')
set(gca,'XTickLabel',num_copiess)
set(gca,'YTickLabel',deltas)
set(gcf,'color','w')


